Subject: Re: [PATCH 10/15] pcmcia: introduce autoconfiguration feature

From: "Gustavo F. Padovan" <[email-masked]>
Date: Fri, 3 Sep 2010 19:38:01 -0300

* Dominik Brodowski <[email-masked]> [2010-09-03 12:57:09 +0200]:

> Introduce an autoconfiguration feature to set certain values in
> pcmcia_loop_config(), instead of copying the same code over and over
> in each PCMCIA driver. At first, introduce the following options:
> 
> CONF_AUTO_CHECK_VCC	check or matching Vcc entry
> CONF_AUTO_SET_VPP	set Vpp
> CONF_AUTO_AUDIO		enable the speaker line
> 
> CC: [email-masked]
> CC: [email-masked]
> CC: [email-masked]
> CC: [email-masked]
> CC: [email-masked]
> CC: [email-masked]
> CC: [email-masked]
> CC: alsa-devel-K7yf7f+aM1XWsZ/[email-masked]
> CC: [email-masked]
> CC: Jiri Kosina <[email-masked]>
> CC: [email-masked]
> Signed-off-by: Dominik Brodowski <[email-masked]>
> ---
>  drivers/ata/pata_pcmcia.c                        |   23 +----
>  drivers/bluetooth/bt3c_cs.c                      |    7 +-
>  drivers/bluetooth/btuart_cs.c                    |    7 +-
>  drivers/bluetooth/dtl1_cs.c                      |    1 -
>  drivers/char/pcmcia/cm4000_cs.c                  |    1 -
>  drivers/char/pcmcia/cm4040_cs.c                  |    1 -
>  drivers/char/pcmcia/ipwireless/main.c            |    1 -
>  drivers/char/pcmcia/synclink_cs.c                |    1 -
>  drivers/ide/ide-cs.c                             |   23 +----
>  drivers/isdn/hardware/avm/avm_cs.c               |    1 -
>  drivers/isdn/hisax/avma1_cs.c                    |    1 -
>  drivers/isdn/hisax/elsa_cs.c                     |    1 -
>  drivers/isdn/hisax/sedlbauer_cs.c                |   25 +-----
>  drivers/isdn/hisax/teles_cs.c                    |    1 -
>  drivers/net/pcmcia/axnet_cs.c                    |    1 -
>  drivers/net/pcmcia/fmvj18x_cs.c                  |    1 -
>  drivers/net/pcmcia/pcnet_cs.c                    |    1 -
>  drivers/net/pcmcia/smc91c92_cs.c                 |    2 -
>  drivers/net/pcmcia/xirc2ps_cs.c                  |    5 +-
>  drivers/net/wireless/airo_cs.c                   |   17 +---
>  drivers/net/wireless/atmel_cs.c                  |   17 +---
>  drivers/net/wireless/hostap/hostap_cs.c          |   27 +-----
>  drivers/net/wireless/libertas/if_cs.c            |    1 -
>  drivers/net/wireless/orinoco/orinoco_cs.c        |   31 +------
>  drivers/net/wireless/orinoco/spectrum_cs.c       |   24 +----
>  drivers/parport/parport_cs.c                     |    1 -
>  drivers/pcmcia/pcmcia_cis.c                      |   36 ++++++-
>  drivers/scsi/pcmcia/aha152x_stub.c               |    1 -
>  drivers/scsi/pcmcia/fdomain_stub.c               |    1 -
>  drivers/scsi/pcmcia/nsp_cs.c                     |  110 ++++++++-------------
>  drivers/scsi/pcmcia/qlogic_stub.c                |    1 -
>  drivers/scsi/pcmcia/sym53c500_cs.c               |    1 -
>  drivers/serial/serial_cs.c                       |   10 +--
>  drivers/staging/comedi/drivers/cb_das16_cs.c     |    1 -
>  drivers/staging/comedi/drivers/das08_cs.c        |    1 -
>  drivers/staging/comedi/drivers/ni_daq_700.c      |   10 +--
>  drivers/staging/comedi/drivers/ni_daq_dio24.c    |   10 +--
>  drivers/staging/comedi/drivers/ni_labpc_cs.c     |   11 +--
>  drivers/staging/comedi/drivers/ni_mio_cs.c       |    1 -
>  drivers/staging/comedi/drivers/quatech_daqp_cs.c |    1 -
>  drivers/telephony/ixj_pcmcia.c                   |    1 -
>  drivers/usb/host/sl811_cs.c                      |   24 +----
>  include/pcmcia/ds.h                              |    7 +-
>  43 files changed, 120 insertions(+), 329 deletions(-)

For drivers/bluetooth

Acked-by: Gustavo F. Padovan <[email-masked]>

-- 
Gustavo F. Padovan
ProFUSION embedded systems - http://profusion.mobi